Rest API
post
Run a statement
Body
orgIDstringOptional
databaseNamestringOptional
schemaNamestringOptional
storeNamestringOptional
statementstringOptional
attachmentstring · binary[]Optional
Responses
200
Success
idstringOptional
secretstringOptional
dataobject[]Optional
actionstring · enumOptionalPossible values:
targetstring · enumOptionalPossible values:
400
invalid request
401
access denied
5XX
unexpected error
post/run-statement
POST /run-statement HTTP/1.1
Host: api.deltastream.io
Content-Type: multipart/form-data
Accept: */*
Content-Length: 120
{
"orgID": "text",
"databaseName": "text",
"schemaName": "text",
"storeName": "text",
"statement": "text",
"attachment": [
"binary"
]
}[
{
"id": "text",
"secret": "text",
"data": [
{}
],
"action": "unknown",
"target": "organization"
}
]get
Copy a resource
Path parameters
resource_typestring · enumRequiredPossible values:
org_idstringRequired
resource_namestringRequired
Responses
200
Success
application/octet-stream
string · bytesOptional
400
invalid request
401
access denied
5XX
unexpected error
get/copy/{resource_type}/{org_id}/{resource_name}
GET /copy/{resource_type}/{org_id}/{resource_name} HTTP/1.1
Host: api.deltastream.io
Accept: */*
textget
Returns the server version
Responses
200
server version
majorintegerRequired
minorintegerRequired
patchintegerRequired
401
access denied
5XX
unexpected error
get/version
GET /version HTTP/1.1
Host: api.deltastream.io
Accept: */*
{
"major": 1,
"minor": 1,
"patch": 1
}Last updated

